#include "CS_Blackboard.h"

CS_Blackboard::CS_Blackboard()
{
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"ls_blackboard";
	drawBeforeOtherEntity = true;
}

void CS_Blackboard::SetState(int stateID, int lr)
{
	this->lr = lr;
	if (lr == 0)
		ani.image_index = 0;
	else
		ani.image_index = 1;
}

std::shared_ptr<Entity> CreateCS_Blackboard()
{
	return std::make_shared<CS_Blackboard>();
}
